<?php

use Drupal\migrate_boost\MigrateBoost;

/**
 * Implements hook_drush_init().
 */
function migrate_boost_drush_init() {
  // Skip when bootstrap level is low (e.g. drush cr)
  if (!\Drupal::hasContainer()) {
    return;
  }
  MigrateBoost::bootDrush();
}

/**
 * Implements hook_drush_command().
 */
function migrate_boost_drush_command() {
  $items['migrate-booster-reset'] = [
    'description' => 'Resets migrate booster and implementation cache.',
    'aliases' => ['mbr'],
    'drupal dependencies' => ['migrate_boost'],
  ];
  return $items;
}

function drush_migrate_boost_reset() {
  MigrateBoost::disable();
}
